> For the complete documentation index, see [llms.txt](https://docs.uqudo.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uqudo.com/docs/kyc/uqudo-sdk/integration/web/sdk-installation.md).

# SDK installation

**Note**: In SDK 4.x and above document auto-scanning and facial recognition are powered by WASM technology. The WASM module is available in three variants to accommodate different levels of browser capabilities:

* **uqudoScanModuleBasic**: Supports all the basic features
* **uqudoScanModuleAdvanced**: Includes SIMD support
* **uqudoScanModuleAdvancedWithThreads**: Incorporates both SIMD and threading support

To support and load fastest option, **uqudoScanModuleAdvancedWithThreads**, the web server hosting the page with the web SDK must include the following HTTP response headers:

* Cross-Origin-Embedder-Policy = "require-corp"
* Cross-Origin-Opener-Policy = "same-origin"

Please refer to <https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Embedder-Policy> and <https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Opener-Policy> to understand the implications of enabling these headers.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uqudo.com/docs/kyc/uqudo-sdk/integration/web/sdk-installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
